Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api
Interface ResourceManagement

All Known Implementing Classes:
  ResourceManagementImpl

Deprecated. replaced by `NeoResourceManagement`

      public interface ResourceManagement

Interface description

Method Summary
`TemplateResource` | `ApproveTemplate(java.lang.Long templateResourceId)` Deprecated.
`VMResource` | `ApproveVMImage(java.lang.Long VMResourceId)` Deprecated.
`void` | `deleteISO(java.lang.Long isoResourceID)` Deprecated. Deletes the ISO from server pool (physically also)
`void` | `deleteSharedDisk(java.lang.Long sharedDiskResourceID)` Deprecated. Deletes the Shared Disk from server pool (physically also)
`void` | `deleteTemplate(java.lang.Long templateResourceId)` Deprecated. Deletes the template from server pool (physically also)
`void` | `deleteVMResource(java.lang.Long vmResourceId)` Deprecated. Delete the VM Image
`void` | `downloadBinary(ServerPool serverPool, oracle.ovs.biz.util.OvmUrl binaryUrl, java.lang.String localFilePath, ProxyServer proxyServer)` Deprecated. download external resource
`void` | `extractTemplateBinary(ServerPool svr_pool, java.lang.String resourceLocation, java.lang.String fileLocation)` Deprecated. Extract the bundle to seed pool
`java.util.Map` | `freespace_validator(ServerPool svr_pool, int size)` Deprecated. validator for free disk space for all repositories.
`java.util.Map` | `freespace_validator(ServerPool svr_pool, java.lang.String vmPath, int size)` Deprecated. validator for free disk space for the repository where one vm locates
`DiscoveredISO[]` | `getAllDiscoverableISO(ServerPool svr_pool)` Deprecated.
`DiscoveredTemplate[]` | `getAllDiscoverableTemplates(ServerPool svr_pool)` Deprecated. Returns all the Oracle VM Templates, which are discovered in the shared location of the server pool, but yet not registered.
`DiscoveredVM[]` | `getAllDiscoverableVMs(ServerPool svr_pool)` Deprecated.
`ISOResource[]` | `getAllISOResources(ServerPool svr_pool)` Deprecated. Returns an array of all ISO Image resource instances (and physically available) registered with the server pool.
`SharedDiskResource[]` | `getAllSharedDiskResources(ServerPool svr_pool)` Deprecated. Returns an array of all Shared Disk resource instances (and physically available) registered with the server pool.
`TemplateResource[]` | `getAllTemplateResources(ServerPool svr_pool)` Deprecated. Returns an array of all Oracle VM Templates resource instances (and physically available) registered with the server pool.
`VMResource[]` | `getAllVMResources(ServerPool svr_pool)` Deprecated. Returns all VM resources
`ISOResource` | `getISOResource(java.lang.Long isoResourceID)` Deprecated. Returns the ISO resource instance.
`ISOResource` | `getISOResourceByName(ServerPool svr_pool, java.lang.String name)` Deprecated. Returns the ISO resource instance, given the display name.
`java.lang.String` | `getOvfEnv(ServerPool svr_pool, java.lang.String vmName)` Deprecated. get ovf-env.xml content
`java.lang.String` | `getRepositoryLocation(ServerPool svr_pool)` Deprecated. Get the base location for importing resources
`java.lang.String` | `getResourceDirectory(ServerPool svr_pool, ISOResource ir)` Deprecated. Get the real path of the ISOResource
`java.lang.String` | `getResourceDirectory(ServerPool svr_pool, TemplateResource tr)` Deprecated. Get the real path of the TemplateResource
`SharedDiskResource` | `getSharedDiskResource(java.lang.Long sharedDiskResourceID)` Deprecated. Returns the Shared Disk resource instance.
`SharedDiskResource` | `getSharedDiskResourceByName(ServerPool svr_pool, java.lang.String name)` Deprecated. Returns the Shared Disk resource instance, given the display name.
`TemplateResource` | `getTemplateResource(java.lang.Long templateResourceId)` Deprecated. Returns the template resource instance.
`TemplateResource` | `getTemplateResourceByName(ServerPool svr_pool, java.lang.String name)` Deprecated. Returns the template resource instance, given the display name.
`VMResource` | `getVMResourceByName(ServerPool svr_pool, java.lang.String name)` Deprecated. Returns the VMResource instance
`void` | `mountISO_NFS(ServerPool svr_pool, ISOResource iso, java.lang.String mountPath, java.lang.String hostname)` Deprecated.
`void` | `moveToNfsLocation(ServerPool serverPool, java.lang.String filePath, oracle.ovs.biz.util.OvmUrl nfsLocation)` Deprecated. move to nfs location
`ISOResource` | `registerISO(ServerPool svr_pool, ISOResourceConfig isoResourceConfig)` Deprecated. Registers an ISO resource (available in a shared location on the server pool).
`java.util.Map` | `registerISOPrerequisite(ServerPool svr_pool, ISOResourceConfig isoResourceConfig)` Deprecated. precheck for registerISO
`SharedDiskResource` | `registerSharedDisk(ServerPool svr_pool, SharedDiskResourceConfig sharedDiskResourceConfig)` Deprecated. Creates (physically) a new disk on the shared storage, and registers it as a sharable disk amongst the Virtual Machines on the server pool.
`TemplateResource` | `registerTemplate(ServerPool svr_pool, TemplateResourceConfig templateResourceConfig)` Deprecated. Registers a template resource (available in a shared location on the server pool).
`java.util.Map` | `registerTemplatePrerequisite(ServerPool svr_pool, TemplateResourceConfig templateResourceConfig)` Deprecated. precheck for registerTemplate
`VMResource` | `registerVM(ServerPool svr_pool, VMResourceConfig vmResourceConfig)` Deprecated.
`void` | `setOvfEnv(ServerPool svr_pool, java.lang.String vmName, java.lang.String ovfContent)` Deprecated. set ovfenv.xml
`void` | `unmountISO_NFS(ServerPool svr_pool, ISOResource iso, java.lang.String mountPath, java.lang.String hostname)` Deprecated.
`void` | `uploadTemplate(TemplateResource template, oracle.ovs.biz.util.OvmUrl tgtUrl)` Deprecated. Upload template to an external NFS location.

Method Detail

### deleteISO

    void deleteISO(java.lang.Long isoResourceID)
                   throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Deletes the ISO from server pool (physically also)
  Parameters:
    `isoResourceID` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### deleteSharedDisk

    void deleteSharedDisk(java.lang.Long sharedDiskResourceID)
                          throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Deletes the Shared Disk from server pool (physically also)
  Parameters:
    `sharedDiskResourceID` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### deleteTemplate

    void deleteTemplate(java.lang.Long templateResourceId)
                        throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Deletes the template from server pool (physically also)
  Parameters:
    `templateResourceId` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### deleteVMResource

    void deleteVMResource(java.lang.Long vmResourceId)
                          throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Delete the VM Image
  Parameters:
    `vmResourceId` -
  Throws:
    `oracle.ovs.biz.exception.ResourceException`
    `oracle.ovs.biz.exception.OVSException`

### getAllDiscoverableISO

    DiscoveredISO[] getAllDiscoverableISO(ServerPool svr_pool)
                                          throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Parameters:
    `svr_pool` -
  Returns:
  Throws:
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.exception.OVSException`

### getAllDiscoverableTemplates

    DiscoveredTemplate[] getAllDiscoverableTemplates(ServerPool svr_pool)
                                                     throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Returns all the Oracle VM Templates, which are discovered in the shared location of the server pool, but yet not registered.
  Parameters:
    `svr_pool` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllDiscoverableVMs

    DiscoveredVM[] getAllDiscoverableVMs(ServerPool svr_pool)
                                         throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Parameters:
    `svr_pool` -
  Returns:
  Throws:
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.exception.OVSException`

### getAllISOResources

    ISOResource[] getAllISOResources(ServerPool svr_pool)
                                     throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Returns an array of all ISO Image resource instances (and physically available) registered with the server pool.
  Parameters:
    `svr_pool` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllSharedDiskResources

    SharedDiskResource[] getAllSharedDiskResources(ServerPool svr_pool)
                                                   throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Returns an array of all Shared Disk resource instances (and physically available) registered with the server pool.
  Parameters:
    `svr_pool` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllTemplateResources

    TemplateResource[] getAllTemplateResources(ServerPool svr_pool)
                                               throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Returns an array of all Oracle VM Templates resource instances (and physically available) registered with the server pool.
  Parameters:
    `svr_pool` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllVMResources

    VMResource[] getAllVMResources(ServerPool svr_pool)
                                   throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Returns all VM resources
  Parameters:
    `svr_pool` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getISOResource

    ISOResource getISOResource(java.lang.Long isoResourceID)
                               throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Returns the ISO resource instance.
  Parameters:
    `isoResourceID` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getISOResourceByName

    ISOResource getISOResourceByName(ServerPool svr_pool,
                                     java.lang.String name)
                                     throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Returns the ISO resource instance, given the display name.
  Parameters:
    `svr_pool` -
    `name` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getSharedDiskResource

    SharedDiskResource getSharedDiskResource(java.lang.Long sharedDiskResourceID)
                                             throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Returns the Shared Disk resource instance.
  Parameters:
    `sharedDiskResourceID` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getSharedDiskResourceByName

    SharedDiskResource getSharedDiskResourceByName(ServerPool svr_pool,
                                                   java.lang.String name)
                                                   throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Returns the Shared Disk resource instance, given the display name.
  Parameters:
    `svr_pool` -
    `name` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getTemplateResource

    TemplateResource getTemplateResource(java.lang.Long templateResourceId)
                                         throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Returns the template resource instance.
  Parameters:
    `templateResourceId` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getTemplateResourceByName

    TemplateResource getTemplateResourceByName(ServerPool svr_pool,
                                               java.lang.String name)
                                               throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Returns the template resource instance, given the display name.
  Parameters:
    `svr_pool` -
    `name` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getVMResourceByName

    VMResource getVMResourceByName(ServerPool svr_pool,
                                   java.lang.String name)
                                   throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Returns the VMResource instance
  Parameters:
    `svr_pool` -
    `name` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### registerISO

    ISOResource registerISO(ServerPool svr_pool,
                            ISOResourceConfig isoResourceConfig)
                            throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Registers an ISO resource (available in a shared location on the server pool).
  Parameters:
    `svr_pool` -
    `isoResourceConfig` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### registerSharedDisk

    SharedDiskResource registerSharedDisk(ServerPool svr_pool,
                                          SharedDiskResourceConfig sharedDiskResourceConfig)
                                          throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Creates (physically) a new disk on the shared storage, and registers it as a sharable disk amongst the Virtual Machines on the server pool.
  Parameters:
    `svr_pool` -
    `sharedDiskResourceConfig` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### registerTemplate

    TemplateResource registerTemplate(ServerPool svr_pool,
                                      TemplateResourceConfig templateResourceConfig)
                                      throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Registers a template resource (available in a shared location on the server pool).
  Parameters:
    `svr_pool` -
    `templateResourceConfig` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### registerVM

    VMResource registerVM(ServerPool svr_pool,
                          VMResourceConfig vmResourceConfig)
                          throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Parameters:
    `svr_pool` -
    `vmResourceConfig` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.ResourceException`
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.exception.OVSException`

### ApproveTemplate

    TemplateResource ApproveTemplate(java.lang.Long templateResourceId)
                                     throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Parameters:
    `templateResourceId` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### ApproveVMImage

    VMResource ApproveVMImage(java.lang.Long VMResourceId)
                              throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Parameters:
    `VMResourceId` -
  Returns:
  Throws:
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.exception.OVSException`

### getResourceDirectory

    java.lang.String getResourceDirectory(ServerPool svr_pool,
                                          TemplateResource tr)
                                          throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Get the real path of the TemplateResource
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getResourceDirectory

    java.lang.String getResourceDirectory(ServerPool svr_pool,
                                          ISOResource ir)
                                          throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Get the real path of the ISOResource
  Parameters:
    `svr_pool` -
    `ir` -
  Returns:
  Throws:
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.exception.OVSException`

### getRepositoryLocation

    java.lang.String getRepositoryLocation(ServerPool svr_pool)
                                           throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Get the base location for importing resources
  Parameters:
    `svr_pool` -
  Returns:
  Throws:
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.exception.OVSException`

### getOvfEnv

    java.lang.String getOvfEnv(ServerPool svr_pool,
                               java.lang.String vmName)
                               throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  get ovf-env.xml content
  Parameters:
    `svr_pool` -
    `vmName` -
  Returns:
  Throws:
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.exception.OVSException`

### setOvfEnv

    void setOvfEnv(ServerPool svr_pool,
                   java.lang.String vmName,
                   java.lang.String ovfContent)
                   throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  set ovfenv.xml
  Parameters:
    `svr_pool` -
    `vmName` -
  Throws:
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.exception.OVSException`

### freespace_validator

    java.util.Map freespace_validator(ServerPool svr_pool,
                                      int size)
                                      throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  validator for free disk space for all repositories.
  Parameters:
    `svr_pool` -
    `size` -
  Returns:
    Map.get("result"); Map.get("info");
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### freespace_validator

    java.util.Map freespace_validator(ServerPool svr_pool,
                                      java.lang.String vmPath,
                                      int size)
                                      throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  validator for free disk space for the repository where one vm locates
  Parameters:
    `svr_pool` -
    `vmPath` -
    `size` -
  Returns:
    Map.get("result"); Map.get("info");
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### mountISO_NFS

    void mountISO_NFS(ServerPool svr_pool,
                      ISOResource iso,
                      java.lang.String mountPath,
                      java.lang.String hostname)
                      throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Parameters:
    `svr_pool` - serverPool
    `iso` - ISOResource
    `mountPath` -
    `hostname` - (Default = "")
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### unmountISO_NFS

    void unmountISO_NFS(ServerPool svr_pool,
                        ISOResource iso,
                        java.lang.String mountPath,
                        java.lang.String hostname)
                        throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Parameters:
    `svr_pool` -
    `iso` -
    `mountPath` -
    `hostname` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### extractTemplateBinary

    void extractTemplateBinary(ServerPool svr_pool,
                               java.lang.String resourceLocation,
                               java.lang.String fileLocation)
                               throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Extract the bundle to seed pool
  Parameters:
    `svr_pool` -
    `resourceLocation` -
    `fileLocation` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### registerISOPrerequisite

    java.util.Map registerISOPrerequisite(ServerPool svr_pool,
                                          ISOResourceConfig isoResourceConfig)
                                          throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  precheck for registerISO
  Parameters:
    `svr_pool` -
    `isoResourceConfig` -
  Returns:
    report
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### registerTemplatePrerequisite

    java.util.Map registerTemplatePrerequisite(ServerPool svr_pool,
                                               TemplateResourceConfig templateResourceConfig)

  Deprecated.
  precheck for registerTemplate
  Parameters:
    `svr_pool` -
    `templateResourceConfig` -
  Returns:
    report

### uploadTemplate

    void uploadTemplate(TemplateResource template,
                        oracle.ovs.biz.util.OvmUrl tgtUrl)
                        throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Upload template to an external NFS location.
  Parameters:
    `template` -
    `tgtUrl` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### downloadBinary

    void downloadBinary(ServerPool serverPool,
                        oracle.ovs.biz.util.OvmUrl binaryUrl,
                        java.lang.String localFilePath,
                        ProxyServer proxyServer)
                        throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  download external resource
  Parameters:
    `serverPool` -
    `binaryUrl` -
    `localFilePath` -
    `proxyServer` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### moveToNfsLocation

    void moveToNfsLocation(ServerPool serverPool,
                           java.lang.String filePath,
                           oracle.ovs.biz.util.OvmUrl nfsLocation)
                           throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  move to nfs location
  Parameters:
    `serverPool` -
    `filePath` -
    `nfsLocation` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.